{$APPTYPE CONSOLE}

uses
  SysUtils;
const
  max=100;
type
  rec = array [0..max] of byte;
var
  c:char;
  i,j,l_a,l_b,l_n,l_res,l_res2:integer;
  a,n,b,res,res2:rec;
  z:boolean;
function normalize(x:rec;l_x:integer):rec;
var
  i,j:integer;
begin
  fillchar(result,sizeof(result),0);
  j:=0;
  for i:=max+1-l_x to max do
  begin
    inc(j);
    result[i]:=x[max+1-j];
  end;
end;
function summ(x,y:rec;l_x,l_y:integer;var l_summ:integer):rec;
var
  add_one:boolean;
  i,l_l:integer;
  buf:byte;
begin
  add_one:=false;
  if l_x>l_y then
    l_l:=l_x
  else
    l_l:=l_y;
  l_summ:=l_l+1;
  for i:=max downto max+1-l_summ do
  begin
    buf:=x[i]+y[i];
    if add_one then
    begin
      inc(buf);
      add_one:=false;
    end;
    if buf>=10 then
    begin
      add_one:=true;
      buf:=buf-10;
    end;
    result[i]:=buf;
  end;
  if result[l_summ]=0 then
    dec(l_summ);
end;
function minus(x,y:rec;l_x,l_y:integer;var l_summ:integer):rec;
var
  dec_one:boolean;
  i,l_l:integer;
  buf:integer;
begin
  dec_one:=false;
  if l_x>l_y then
    l_l:=l_x
  else
    l_l:=l_y;
  l_summ:=l_l;
  for i:=max downto max+1-l_summ do
  begin
    buf:=x[i]-y[i];
    if dec_one then
    begin
      dec(buf);
      dec_one:=false;
    end;
    if buf<0 then
    begin
      dec_one:=true;
      buf:=10+buf;
    end;
    result[i]:=buf;
  end;
end;
begin
  assign(input,'D.in'); reset(input);
  assign(output,'D.out'); rewrite(output);
  i:=max+1;
  fillchar(n,sizeof(n),0);
  fillchar(a,sizeof(a),0);
  fillchar(b,sizeof(b),0);
  repeat
    read(c);
    if c<>' ' then
    begin
      dec(i);
      n[i]:=ord(c)-ord('0');
    end;
  until c=' ';
  l_n:=max+1-i;
  i:=max+1;
  repeat
    read(c);
    if c<>' ' then
    begin
      dec(i);
      a[i]:=ord(c)-ord('0');
    end;
  until c=' ';
  l_a:=max+1-i;
  i:=max+1;
  repeat
    read(c);
    if c<>' ' then
    begin
      dec(i);
      b[i]:=ord(c)-ord('0');
    end;
  until eof;
  l_b:=max+1-i;

  n:=normalize(n,l_n);
  a:=normalize(a,l_a);
  b:=normalize(b,l_b);
  res:=minus(n,a,l_n,l_a,l_res);
  res2:=summ(res,b,l_res,l_b,l_res2);
  j:=0;
  {z:=false;
  for j:=max+1-l_res to max do
  begin
    if res[j]<>0 then
      z:=true;
    if z then
      write(res[j]);
  end;
  writeln;  }
  z:=false;
  for j:=max+1-l_res2 to max do
  begin
    if res2[j]<>0 then
      z:=true;
    if z then
      write(res2[j]);
  end;
  close(input);
  close(output);
end.
